The canonical location of these pages is at


News: As of version 1.18.9 of e2cfsprogs, a single build can support both e2compr-0.3 and e2compr-0.4. Support for either or both versions can be disabled/enabled at configure time (e.g. `./configure --enable-e2compr-04 --disable-e2compr-03').

This edition of e2fsprogs has very basic support for e2compr. It doesn't do much e2compr-specific checking & correction.

(A web page for the upstream version of e2fsprogs is at


(Note: e2fsprogs-1.17 has problems that in some cases can cause core dumps; those problems are fixed in v1.18.)

e2fsprogs-e2c_1.18.9-1_i386.deb: Debian i386 package (binaries; glibc2.1).

e2fslibs-dev-e2c_1.18.9-1_i386.deb: Debian i386 package (development libraries/includes).

e2cfsprogs_1.18.9.orig.tar.gz: source (with changes for e2compr but not Debian).

e2fsprogs-e2c_1.18.9-1.diff.gz: Debian diffs (from e2fsprogs-e2c-1.18.9.orig).

e2cfsprogs-9-patch-1.18.gz: e2compr diffs (from standard e2fsprogs-1.18). Not useful to most people.

Return to Main Entrance
e2compr maintainers
Last modified: Thu Dec 23 20:41:19 EST 1999